Rated 5 out of 5 stars

Developer: This is a great add-on, I use it every day. However, it appears FF is going to end support for add-ons in May. I use Pale Moon, which is a fork of FF that's gone in a different direction, and this extension works with the older version but not the newer one. That's the only thing that's keeping me from upgrading (or using FF). Could you possibly port it to Pale Moon? They don't have any kind of Wiki lookup in their add-ons list ( https://addons.palemoon.org/extensions ). It might require some customization, but they intend to continue compatibility with add-ons in future versions. Thanks.